dnl $Id: config.m4,v 1.1 2001/12/09 19:22:28 rasmus Exp $
dnl config.m4 for extension xmms

PHP_ARG_WITH(xmms, for xmms support,
[  --with-xmms[=DIR]         Include xmms support])

if test "$PHP_XMMS" != "no"; then
  SEARCH_PATH="/usr/local /usr"     # you might want to change this
  SEARCH_FOR="/include/xmms/xmmsctrl.h"  # you most likely want to change this
  if test -r $PHP_XMMS/; then # path given as parameter
     XMMS_DIR=$PHP_XMMS
  else # search default path list
     AC_MSG_CHECKING(for xmms files in default path)
     for i in $SEARCH_PATH ; do
       if test -r $i/$SEARCH_FOR; then
         XMMS_DIR=$i
         AC_MSG_RESULT(found in $i)
       fi
     done
  fi
 
  if test -z "$XMMS_DIR"; then
     AC_MSG_RESULT(not found)
     AC_MSG_ERROR(Please specify path to your xmms distribution files)
  fi

  PHP_ADD_INCLUDE(/usr/include/glib-1.2)
  PHP_ADD_INCLUDE(/usr/lib/glib/include)

  dnl # --with-xmms -> chech for lib and symbol presence
  LIBNAME=xmms
  LIBSYMBOL=xmms_remote_get_version
  old_LIBS=$LIBS
  LIBS="$LIBS -L$XMMS_DIR/lib -lm -ldl"
  AC_CHECK_LIB($LIBNAME, $LIBSYMBOL, [AC_DEFINE(HAVE_XMMSLIB,1,[ ])],
				[AC_MSG_ERROR(wrong xmms lib version or lib not found)])
  LIBS=$old_LIBS
  
  PHP_SUBST(XMMS_SHARED_LIBADD)
  PHP_ADD_LIBRARY_WITH_PATH($LIBNAME, $XMMS_DIR/lib, XMMS_SHARED_LIBADD)

  PHP_EXTENSION(xmms, $ext_shared)
fi
